Bug 971483 - java-1.8.0-openjdk-devel: Performance problems when compiling MethodHandle.java
java-1.8.0-openjdk-devel: Performance problems when compiling MethodHandle.java
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: jiri vanek
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 11:58 EDT by Mikolaj Izdebski
Modified: 2016-07-19 06:19 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:14:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
MethodHandle.java (128.82 KB, text/x-java)
2013-06-06 11:59 EDT, Mikolaj Izdebski
no flags Details
ArrayUtil.java (685.67 KB, text/x-java)
2013-06-06 11:59 EDT, Mikolaj Izdebski
no flags Details

  None (edit)
Description Mikolaj Izdebski 2013-06-06 11:58:22 EDT
Description of problem:
javac is unable to compile MethodHandle.java in reasonable time.

Version-Release number of selected component (if applicable):
java-1.7.0-openjdk-1.7.0.19-2.3.9.5.fc18.x86_64

Steps to Reproduce:
1. javac ArrayUtil.java
2. javac MethodHandle.java
  
Actual results:
On my x86_64 system it takes about 15 minutes for the second javac call to complete, CPU usage is 100%.

Expected results:
Compiles MethodHandle.java much faster (ECJ is able to compile the same source in about 3 seconds).

Additional info:
With many source files like that it takes extremly long time to compile the whole project. Koji builds can time out after 24 hours.
Comment 1 Mikolaj Izdebski 2013-06-06 11:59:04 EDT
Created attachment 757733 [details]
MethodHandle.java

The compilation unit that takes long time to compile
Comment 2 Mikolaj Izdebski 2013-06-06 11:59:51 EDT
Created attachment 757734 [details]
ArrayUtil.java

Dependency of MethodHandle.java
Comment 4 Adam Domurad 2013-06-10 14:42:11 EDT
Hi, I have taken your bug upstream:

http://mail.openjdk.java.net/pipermail/compiler-dev/2013-May/006339.html

I posted a hackish workaround but hopefully I can work there to get a proper fix. I have received a response indicating a bug is being filed upstream.
Comment 5 Adam Domurad 2013-08-07 10:12:06 EDT
http://hg.openjdk.java.net/jdk7u/jdk7u40-dev/langtools/rev/06285eb8d755
Upstream has posted a fix, marking resolved.
Comment 6 Severin Gehwolf 2013-08-08 04:06:56 EDT
Thanks for the update Adam! I'm reopening this bug though. We should only close bugs once a *packaged* openjdk including the fix has been built and released. If that has happened already, please post the NVR which fixes this problem. Thanks!
Comment 8 Deepak Bhole 2013-09-06 13:19:59 EDT
Re-assigning to Jiri to track and close when the fix is in Fedora.
Comment 9 Fedora End Of Life 2013-12-21 10:32:47 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2014-02-05 18:11:07 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Mikolaj Izdebski 2014-02-06 02:22:37 EST
Still not fixed.
Comment 12 Fedora End Of Life 2015-01-09 17:08:22 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-05-29 05:06:00 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-11-04 10:32:27 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-07-19 06:14:10 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 16 Michael Simacek 2016-07-19 06:19:20 EDT
I've just tried it on Fedora 24 and could not reproduce it anymore, so it seems to have been fixed already. Changing resolution.

Note You need to log in before you can comment on or make changes to this bug.